# Get transactions history

## GET /api/transactions/{apiKey}

> Get paginated transaction history

```json
{"openapi":"3.0.3","info":{"title":"@aurora-is-near/intents-fee-service","version":"0.0.1"},"servers":[{"url":"https://intents-api.aurora.dev"}],"security":[],"paths":{"/api/transactions/{apiKey}":{"get":{"tags":["transactions"],"description":"Get paginated transaction history","parameters":[{"schema":{"type":"integer","exclusiveMinimum":true,"maximum":9007199254740991},"in":"query","name":"page","required":false,"description":"Page number. Default: 1. Min: 1."},{"schema":{"type":"integer","exclusiveMinimum":true,"maximum":1000},"in":"query","name":"perPage","required":false,"description":"Number of transactions per page. Default: 50. Max: 1000. Min: 1."},{"schema":{"type":"string"},"in":"query","name":"walletAddress","required":false,"description":"Wallet address used for the query."},{"schema":{"type":"string"},"in":"path","name":"apiKey","required":true,"description":"API key generated at [https://studio.aurora.dev](https://studio.aurora.dev)"}],"responses":{"200":{"description":"Transactions page successfully retrieved","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"originAsset":{"type":"string","description":"ID of the origin asset."},"destinationAsset":{"type":"string","description":"ID of the destination asset."},"depositAddress":{"type":"string","description":"Deposit address associated with the swap."},"depositMemo":{"nullable":true,"description":"Deposit memo associated with the deposit address, if required.","type":"string"},"depositAddressAndMemo":{"type":"string","description":"Combined deposit identifier composed of deposit address and memo when applicable."},"recipient":{"type":"string","description":"Recipient address for the swap output."},"status":{"type":"string","enum":["FAILED","INCOMPLETE_DEPOSIT","PENDING_DEPOSIT","PROCESSING","REFUNDED","SUCCESS"],"description":"Current status of the transaction."},"createdAt":{"type":"string","description":"Transaction creation timestamp in ISO 8601 format."},"createdAtTimestamp":{"type":"number","description":"Transaction creation timestamp as Unix time."},"intentHashes":{"type":"string","description":"Intent hash or hashes associated with the swap."},"referral":{"type":"string","description":"Referral identifier associated with the transaction."},"amountInFormatted":{"type":"string","description":"Human-readable formatted input amount."},"amountOutFormatted":{"type":"string","description":"Human-readable formatted output amount."},"appFees":{"type":"array","items":{"type":"object","properties":{"fee":{"type":"number","description":"Fee amount in basis points (1/100th of a percent)."},"recipient":{"type":"string","description":"Fee recipient identifier or address."}},"required":["fee","recipient"],"additionalProperties":false},"description":"Application fees applied to the transaction."},"nearTxHashes":{"type":"array","items":{"type":"string"},"description":"Related NEAR transaction hashes."},"originChainTxHashes":{"type":"array","items":{"type":"string"},"description":"Related transaction hashes on the origin chain."},"destinationChainTxHashes":{"type":"array","items":{"type":"string"},"description":"Related transaction hashes on the destination chain."},"amountIn":{"type":"string","description":"Input amount in the smallest unit of the origin asset."},"amountInUsd":{"type":"string","description":"Estimated USD value of the input amount."},"amountOut":{"type":"string","description":"Output amount in the smallest unit of the destination asset."},"amountOutUsd":{"type":"string","description":"Estimated USD value of the output amount."},"refundTo":{"type":"string","description":"Refund recipient address."},"senders":{"type":"array","items":{"type":"string"},"description":"Sender addresses associated with the transaction."},"refundReason":{"nullable":true,"description":"Reason for refund, if the transaction was refunded.","type":"string"},"refundFeeFormatted":{"nullable":true,"description":"Human-readable formatted refund fee.","type":"string"},"refundFee":{"nullable":true,"description":"Refund fee in the smallest unit of the asset.","type":"string"},"recipientType":{"type":"string","enum":["DESTINATION_CHAIN","INTENTS"],"description":"Type of recipient address."},"depositType":{"type":"string","enum":["ORIGIN_CHAIN","INTENTS"],"description":"Type of deposit address."},"refundType":{"type":"string","enum":["ORIGIN_CHAIN","INTENTS"],"description":"Type of refund address."}},"required":["originAsset","destinationAsset","depositAddress","depositMemo","depositAddressAndMemo","recipient","status","createdAt","createdAtTimestamp","intentHashes","referral","amountInFormatted","amountOutFormatted","appFees","nearTxHashes","originChainTxHashes","destinationChainTxHashes","amountIn","amountInUsd","amountOut","amountOutUsd","refundTo","senders","refundReason","refundFeeFormatted","refundFee","recipientType","depositType","refundType"],"additionalProperties":false},"description":"Paginated list of transactions."},"totalPages":{"type":"number","description":"Total number of available pages."},"page":{"type":"number","description":"Current page number."},"perPage":{"type":"number","description":"Number of transactions returned per page."},"total":{"type":"number","description":"Total number of transactions matching the query."},"nextPage":{"nullable":true,"description":"Next page number, or `null` if there is no next page.","type":"number"},"prevPage":{"nullable":true,"description":"Previous page number, or `null` if there is no previous page.","type":"number"}},"required":["data","totalPages","page","perPage","total","nextPage","prevPage"],"additionalProperties":false,"description":"Transactions page successfully retrieved"}}}},"404":{"description":"Application key is not assigned","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"data":{"type":"object","additionalProperties":{}},"statusCode":{"type":"number","enum":[404]}},"required":["message","statusCode"],"additionalProperties":false,"description":"Application key is not assigned"}}}},"429":{"description":"Explorer rate limit exceeded","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","enum":[429]},"message":{"type":"string"}},"required":["statusCode","message"],"additionalProperties":false,"description":"Explorer rate limit exceeded"}}}},"500":{"description":"Internal Server Error - Failed to get transactions from explorer service","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"data":{"type":"object","additionalProperties":{}},"statusCode":{"type":"number","enum":[500]}},"required":["message","statusCode"],"additionalProperties":false,"description":"Internal Server Error - Failed to get transactions from explorer service"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intents.aurora.dev/intents-deposits/api-reference/get-transactions-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
